Bug 138757 - Anaconda when upgrading should list new-to-this release packages, and allow you to select/choose them
Anaconda when upgrading should list new-to-this release packages, and allow y...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 19:17 EST by Bryan Headley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 13:45:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Headley 2004-11-10 19:17:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
Anaconda when upgrading should list new-to-this release packages, and
allow you to select/choose from them.

The flip side is to go to the release notes, see what's been added,
then navigate through 4 CDs looking for the new packages.

Even a shell script that iterates through the list of known "new
packages", sees if they are on the install media/ does an 'RPM -Uvh'
is better than nothing. Extra credit if it ejects media/asks if there
are more CDs to scan...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
    

Actual Results:  N/A

Expected Results:  N/A

Additional info:
Comment 1 Jeremy Katz 2004-11-11 13:45:54 EST
Not going to happen.  anaconda is going to get your system as it was
presently installed upgraded to the newer version of those packages. 
More can be done after your upgrade process is done in a far saner and
easier to debug fashion.

Note You need to log in before you can comment on or make changes to this bug.